Subject: Re: [apps-discuss] [Technical Errata Reported] RFC1459 (3938)

From: Barry Leiba <[email-masked]>
Date: Wed, 16 Apr 2014 11:56:32 -0400

Myunggyun Jonathan Aldo Seo has reported the errata below, on RFC
1459, the IRC protocol.  He's correct that the last paragraph of
Section 4.2.3.1 has clearly been truncated.  But, as this is a
more-than-20-year-old document, it's likely hard to know what the text
was intended to say.

Here's Section 4.2.3.1 in its entirety:

-------------------------------------
4.2.3.1 Channel modes

   Parameters: <channel> {[+|-]|o|p|s|i|t|n|b|v} [<limit>] [<user>]
               [<ban mask>]

   The MODE command is provided so that channel operators may change the
   characteristics of `their' channel.  It is also required that servers
   be able to change channel modes so that channel operators may be
   created.

   The various modes available for channels are as follows:

           o - give/take channel operator privileges;
           p - private channel flag;
           s - secret channel flag;
           i - invite-only channel flag;
           t - topic settable by channel operator only flag;
           n - no messages to channel from clients on the outside;
           m - moderated channel;
           l - set the user limit to channel;
           b - set a ban mask to keep users out;
           v - give/take the ability to speak on a moderated channel;
           k - set a channel key (password).

   When using the 'o' and 'b' options, a restriction on a total of three
   per mode command has been imposed.  That is, any combination of 'o'
   and
-------------------------------------

I would like to mark the errata report as Verified, but it would be
nice to be able to suggest correct text in the report.  Can anyone
help figure out what was supposed to be there?  If not, I'll likely
mark it "Held For Document Update" instead.

Barry

On Fri, Mar 28, 2014 at 6:59 AM, RFC Errata System
<[email-masked]> wrote:
> The following errata report has been submitted for RFC1459,
> "Internet Relay Chat Protocol".
>
> --------------------------------------
> You may review the report below and at:
> http://www.rfc-editor.org/errata_search.php?rfc=1459&eid=3938
>
> --------------------------------------
> Type: Technical
> Reported by: Myunggyun Jonathan Aldo Seo <[email-masked]>
>
> Section: 4.2.3.1
>
> Original Text
> -------------
>    When using the 'o' and 'b' options, a restriction on a total of three
>    per mode command has been imposed.  That is, any combination of 'o'
>    and
>
> Corrected Text
> --------------
>
>
> Notes
> -----
> The sentence lacks the last part and does not explain what it expected to.
>
> Instructions:
> -------------
> This errata is currently posted as "Reported". If necessary, please
> use "Reply All" to discuss whether it should be verified or
> rejected. When a decision is reached, the verifying party (IESG)
> can log in to change the status and edit the report, if necessary.
>
> --------------------------------------
> RFC1459 (no draft string recorded)
> --------------------------------------
> Title               : Internet Relay Chat Protocol
> Publication Date    : May 1993
> Author(s)           : J. Oikarinen, D. Reed
> Category            : EXPERIMENTAL
> Source              : Legacy
> Area                : Legacy
> Stream              : IETF
> Verifying Party     : IESG
>

---

From: Dave Thaler <[email-masked]>
Date: Wed, 16 Apr 2014 16:53:15 +0000

I observe that several sources that derive text from this RFC simply drop the
truncated sentence:
http://www.cs.cmu.edu/~srini/15-441/S05/assignments/project1/rfc-html/print.html
http://www.iternet.biz/Knowledge/Indy9/007493.html

-Dave

> -----Original Message-----
> From: apps-discuss [mailto:[email-masked]] On Behalf Of
> Barry Leiba
> Sent: Wednesday, April 16, 2014 8:57 AM
> To: Apps Discuss
> Cc: Myunggyun Jonathan Aldo Seo
> Subject: Re: [apps-discuss] [Technical Errata Reported] RFC1459 (3938)
> 
> Myunggyun Jonathan Aldo Seo has reported the errata below, on RFC 1459,
> the IRC protocol.  He's correct that the last paragraph of Section 4.2.3.1 has
> clearly been truncated.  But, as this is a more-than-20-year-old document, it's
> likely hard to know what the text was intended to say.
> 
> I would like to mark the errata report as Verified, but it would be nice to be
> able to suggest correct text in the report.  Can anyone help figure out what
> was supposed to be there?  If not, I'll likely mark it "Held For Document
> Update" instead.
> 
> Barry
> 
> On Fri, Mar 28, 2014 at 6:59 AM, RFC Errata System <rfc-editor@rfc-
> editor.org> wrote:
> > The following errata report has been submitted for RFC1459, "Internet
> > Relay Chat Protocol".
> >
> > use "Reply All" to discuss whether it should be verified or rejected.
> > When a decision is reached, the verifying party (IESG) can log in to
> > change the status and edit the report, if necessary.
> >
> _______________________________________________
> apps-discuss mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/apps-discuss